Description

1. Target version select is empty when you add the issue's target version filter

To reproduce:

- Open spent time tab from a project

- Add the Issue's target version filter

- Observe that the dropdown is empty.

If you apply the query, a validation message will appear and the dropdown gets populated.

2. Filtering time entries after multiple target version filters only after the first version.

To reproduce:

- performe de above steps and apply the query

- expand the Target version select to multiselect

- select two versions that have issues with time entries.

- apply the query

- observe that only the time entries related to the issues from first version are returned.

Attached are two patches that fix these 2 issues.

Related issues:

Related to Redmine - Feature #13558: Add version filter in spent time report Closed

Has duplicate Redmine - Defect #27117: Cannot select versions in Spent time r... Closed

Associated revisions

Revision 16997 - 2017-10-15 13:42 - Jean-Philippe Lang

Filtering time entries after issue's target version doesn't work as expected in some cases (#26667).

Patch by Marius BALTEANU.

Revision 16998 - 2017-10-15 13:42 - Jean-Philippe Lang

Merged r16997 (#26667).

Revision 16999 - 2017-10-15 13:53 - Jean-Philippe Lang

Fix filter values for fixed version id (#26667).

Patch by Marius BALTEANU.

Revision 17000 - 2017-10-15 13:54 - Jean-Philippe Lang

Fix filter after multiple version ids (#26667).

Patch by Marius BALTEANU.

Revision 17001 - 2017-10-15 13:56 - Jean-Philippe Lang

Merged r16999 and r17000 (#26667).

History

#1 - 2017-08-12 03:23 - Go MAEDA

- File subproject-dropdown-is-not-working@2x.png added

2025-05-02 1/3



Thank you for finding the probelem. But I think that the root cause of the problem is that TimeEntryQuery#project returns nil instead of the current

project. Because of this, subproject dropdown also is not working.

 

#2 - 2017-08-12 04:08 - Go MAEDA

It seems that the drop-down have been broken by r16170.

#3 - 2017-08-12 06:10 - Go MAEDA

- Target version set to 3.4.3

#4 - 2017-08-20 11:53 - Marius BĂLTEANU

- File fix_project_on_time_entry_query_filter.patch added

Go MAEDA wrote:

Thank you for finding the probelem. But I think that the root cause of the problem is that TimeEntryQuery#project returns nil instead of the

current project. Because of this, subproject dropdown also is not working.

 Indeed, you're right. Here is a patch that fixes this. It can be applied before or after my previous patches.

fix_filter_values_for_fixed_version_id.patch remains a valid patch because that if is not required, fixed_version_values already checks if the project is

defined or not.

#5 - 2017-08-20 12:15 - Marius BĂLTEANU

- File add_subproject_filter_test_for_time_entries.patch added

Added a test also for subproject filter values.  It should be applied after my previous patches.

Considering that these issues are quite important, maybe is a good idea to release soon the 3.4.3 version (which has other important fixes).

#6 - 2017-08-21 14:10 - Go MAEDA

Marius, thank you for submitting updated patches. Those are works fine for me.

#7 - 2017-09-08 08:02 - Go MAEDA

- Related to Feature #13558: Add version filter in spent time report added

#8 - 2017-10-03 22:45 - Maxim Krušina

- Has duplicate Defect #27117: Cannot select versions in Spent time report added

#9 - 2017-10-15 13:42 - Jean-Philippe Lang

- Status changed from New to Closed

- Assignee set to Jean-Philippe Lang

- Resolution set to Fixed

Committed, thanks.
#10 - 2017-10-15 13:50 - Marius BĂLTEANU

Jean-Philippe Lang, in this ticket there are 2 more patches that should be committed in my opinion:

1. fix_filter_values_for_fixed_version_id.patch which removes an unnecessary if and adds a test for the first problem reported by me. If you consider

that if necessary, we could commit at least the test.

2. fix_filter_after_multiple_version_ids.patch which fixes the second problem reported by me in this ticket.

#11 - 2017-10-15 13:56 - Jean-Philippe Lang

Sorry, both patches are also committed, thanks.

#12 - 2017-10-15 13:58 - Marius BĂLTEANU

Jean-Philippe Lang wrote:

Sorry, both patches are also committed, thanks.

 No problem, thanks for committing these patches.

Files

fix_filter_values_for_fixed_version_id.patch 1.55 KB 2017-08-11 Marius BĂLTEANU

fix_filter_after_multiple_version_ids.patch 1.83 KB 2017-08-11 Marius BĂLTEANU

subproject-dropdown-is-not-working@2x.png 21 KB 2017-08-12 Go MAEDA

fix_project_on_time_entry_query_filter.patch 494 Bytes 2017-08-20 Marius BĂLTEANU

add_subproject_filter_test_for_time_entries.patch 962 Bytes 2017-08-20 Marius BĂLTEANU
